ApiManagementV1WorkspacesWorkspaceidEnvironmentsId

Delete an environment (cannot delete default)

DELETE
/management/v1/workspaces/{workspaceId}/environments/{id}
AuthorizationBearer <token>

Management token (nhm_...)

In: header

Path Parameters

idstring

Response Body

curl -X DELETE "https://loading/management/v1/workspaces/{workspaceId}/environments/string"
Empty

{
  "error": {
    "code": "validation_error",
    "message": "Cannot delete the default environment"
  }
}

{
  "error": {
    "code": "unauthorized",
    "message": "Missing or invalid authorization header"
  }
}

{
  "error": {
    "code": "token_disabled",
    "message": "Management token is disabled"
  }
}

{
  "error": {
    "code": "not_found",
    "message": "Environment not found"
  }
}

{
  "error": {
    "code": "conflict",
    "message": "Environment has active resources"
  }
}